TransportServerChannelProvider (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.TransportServerChannelProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport
Class TransportServerChannelProvider

    java.lang.Object
      org.codehaus.activemq.transport.TransportServerChannelProvider

public class TransportServerChannelProvider
extends Object

locates a protocol specific TransportServerChannelFactory

Version:
  $Revision: 1.13 $

Constructor Summary
`TransportServerChannelProvider()`

Method Summary
`static TransportServerChannel` | `create(WireFormat wireFormat, URI bindAddress)` Create a Channel used for the Broker to listen to remove connections
`protected static JMSException` | `createJMSexception(String protocol, Exception e)`
`protected static TransportServerChannelFactory` | `getFactory(String protocol)`
`static TransportServerChannel` | `newInstance(WireFormat wireFormat, String bindAddress)` Create a Channel used for the Broker to listen to remove connections

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransportServerChannelProvider

    public TransportServerChannelProvider()

Method Detail

### create

    public static TransportServerChannel create(WireFormat wireFormat,
                                                URI bindAddress)
                                         throws JMSException

  Create a Channel used for the Broker to listen to remove connections

  Parameters:
    `bindAddress` -
  Returns:
    the TransportServerChannel bound to the address
  Throws:
    `JMSException`

### newInstance

    public static TransportServerChannel newInstance(WireFormat wireFormat,
                                                     String bindAddress)
                                              throws JMSException,
                                                     URISyntaxException

  Create a Channel used for the Broker to listen to remove connections

  Parameters:
    `bindAddress` -
  Returns:
    the TransportServerChannel bound to the address
  Throws:
    `JMSException`
    `URISyntaxException`

### getFactory

    protected static TransportServerChannelFactory getFactory(String protocol)
                                                       throws JMSException

  Throws:
    `JMSException`

### createJMSexception

    protected static JMSException createJMSexception(String protocol,
                                                     Exception e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.